List postures
curl --request GET \
--url https://api.mnemom.ai/v1/postures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/postures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/postures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"postures": [
{
"posture_id": "<string>",
"slug": "<string>",
"name": "<string>",
"scope": "platform",
"is_default": true,
"current_revision_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"org_id": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Postures
List postures
Returns platform-default postures plus, when org_id is supplied, the org’s postures.
GET
/
postures
List postures
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Query Parameters
Limit to platform-defaults + this org's postures.
Opt-in pagination: max postures to return. Omit limit AND offset for the full (unpaginated) listing. When supplied, the response adds total/limit/offset and only the returned page is body-hydrated.
Required range:
1 <= x <= 200Opt-in pagination: number of postures to skip.
Required range:
x >= 0Response
Postures listing. Includes total/limit/offset only when limit or offset was supplied.